---
title: 状态码
sidebar_position: 170
---

import Accordion from '/src/components/Accordion/index.jsx'
import codeString from '!!raw-loader!./code.yaml';

<Accordion contents={ codeString } />


## 即时通讯

| <b link ="sdkStatusCode">状态码</b>  | 描述 |
|:---|:---|
| 20106 | 该用户处于单聊禁言状态，禁止发送单聊消息。 |
| 20604 | 发送消息频率过高，1 秒钟最多只允许发送 5 条消息 |
| 20605 | 信令被封禁。如遇到该错误，请提交工单。 |
| 20606 | 操作不支持。仅私有云有效，服务端禁用了该操作 |
| 20607 | 请求超出了调用频率限制，请稍后再试 |
| 21406 | 当前用户不在该讨论组中 |
| 21501 | 发送的消息中包含敏感词 （发送方发送失败，接收方不会收到消息） |
| 21502 | 消息中敏感词已经被替换 （接收方可以收到被替换之后的消息） |
| 22406 | 当前用户不在该群组中 |
| 22408 | 当前用户在群组中已被禁言 |
| 23406 | 当前用户不在该聊天室中 |
| 23408 | 当前用户在该聊天室中已被禁言 |
| 23409 | 当前用户已被踢出并禁止加入聊天室。被禁止的时间取决于服务端调用踢出接口时传入的时间|
| 23410 | 聊天室不存在 |
| 23411 | 聊天室成员超限，默认聊天室成员没有人数限制，但是开发者可以提交工单申请针对 App Key 进行聊天室人数限制 |
| 23412 | 聊天室接口参数无效 |
| 23414 | 聊天室云存储业务未开通 |
| 23423 | 超过聊天室的最大状态设置数，1 个聊天室默认最多设置 100 个 |
| 23424 | 聊天室中非法覆盖状态值，状态已存在，没有权限覆盖 |
| 23425 | 超过聊天室中状态设置频率，1 个聊天室 1 秒钟最多设置和删除状态 100 次 |
| 23426 | 未开通聊天室属性自定义设置。请在控制台**免费基础功能**页面开通**聊天室属性自定义设置**。  |
| 23427 | 聊天室状态值不存在 |
| 25101 | 撤回消息参数无效，请确认撤回消息参数是否正确的填写 |
| 25102 | 未开通历史消息云存储。请开通**单群聊消息云端存储**或**聊天室消息云端存储**服务。                       |
| 26001 | push 设置参数无效。请确认是否正确的填写了 push 参数 |
| 26002 | 操作跟服务端同步时出现问题，有可能是操作过于频繁所致。如果出现该错误，请延时 0.5s 再试 |
| 26004 | 用户标签个数超限，最多支持添加 20 个标签 |
| 29102 | 公众号默认已关注，针对会话类型：ConversationType_APPSERVICE |
| 29103 | 公众号已关注，针对会话类型：ConversationType_APPSERVICE |
| 29104 | 公众号默认已取消关注，针对会话类型：ConversationType_APPSERVICE |
| 29105 | 公众号已经取消关注，针对会话类型：ConversationType_APPSERVICE |
| 29106 | 公众号未关注，针对会话类型：ConversationType_APPSERVICE |
| 29201 | 公众号非法类型，针对会话类型：ConversationType_APPSERVICE |
| 29202 | 公众号默认已关注，针对会话类型：ConversationType_PUBLICSERVICE |
| 29203 | 公众号已关注，针对会话类型：ConversationType_PUBLICSERVICE |
| 29204 | 公众号默认已取消关注，针对会话类型：ConversationType_PUBLICSERVICE |
| 29205 | 公众号已经取消关注，针对会话类型：ConversationType_PUBLICSERVICE |
| 29206 | 公众号未关注，针对会话类型：ConversationType_PUBLICSERVICE |
| 30001 | 当前连接不可用（连接已经被释放） |
| 30002 | 当前连接不可用 |
| 30003 | 客户端发送消息请求，融云服务端响应超时 |
| 30016 | 消息大小超限，消息体（序列化成 json 格式之后的内容）最大 128k bytes|
| 31002 | 请检查您使用的 AppKey 是否正确 |
| 31004 | Token 无效 |
| 31005 | App 校验未通过（开通了 App 校验功能，但是校验未通过） |
| 31007 | 请检查您 App 的 BundleID 是否正确 |
| 31008 | AppKey 被封禁或已删除 |
| 31009 | 连接失败，一般因为用户已被封禁。请检查您使用的 Token 是否正确，以及对应的 UserId 是否被封禁 |
| 31010 | 当前用户在其他设备上登录，此设备被踢下线 |
| 31011 | 用户在线时被封禁导致连接断开 |
| 31023 | 重连过程中当前用户在其它设备上登录 |
| 31024 | 连接超过并发限定值 |
| 33000 | 将消息存储到本地数据时失败。发送或插入消息时，消息需要存储到本地数据库，当存库失败时，会回调此错误码。 |
| 33001 | SDK 没有初始化 |
| 33002 | 数据库错误 |
| 33003 | 开发者接口调用时传入的参数错误 |
| 33003 | 请检查接口调用时传入的参数类型和值 |
| 33007 | 历史消息云存储业务未开通，可以在融云控制台中开启该服务|
| 33009 | 聊天室被重置 |
| 33100 | 标签不存在 |
| 33101 | 标签已存在 |
| 33102 | 会话中不存在对应标签 |
| 34001 | 连接已存在，或正在重连中。 |
| 34002 | 小视频时间长度超出限制，默认小视频时长上限为 2 分钟 |
| 34003 | GIF 消息文件大小超出限制，默认 GIF 文件大小上限是 2 MB |
| 34004 | 聊天室状态未同步完成 |
| 34005 | 连接环境不正确（融云公有云 SDK 无法连接到私有云环境） |
| 34006 | 当调用 connectWithToken 接口，timeLimit 为有效值时，SDK 在 timeLimit 时间内还没连接成功返回此错误 |
| 34007 | 查询的公共服务信息不存在 |
| 34008 | 消息不能被扩展 |
| 34009 | 消息扩展失败 |
| 34010 | 消息扩展大小超出限制，默认消息扩展字典 key 长度不超过 32，value 长度不超过 64，单次设置扩展数量最大为 20，消息的扩展总数不能超过 300 |
| 34011 | 媒体消息媒体文件 http 上传失败 |
| 34012 | 指定的会话类型不支持标签功能，会话标签仅支持单群聊会话、系统会话 |
| 34013 | 批量处理指定标签的会话个数超限，批量处理会话个数最大为 1000 |
| 34014 | 群已读回执版本不支持 |
| 34015 | 视频消息压缩失败 |


## 音视频

| 状态码 | 描述 |
|:---|:---|
| 40001 | 不在 RTC room 中 |
| 40002 | server 内部错误 |
| 40003 | 没有匹配的 RTC room |
| 40004 | 非法的用户 id |
| 40005 | 重复加入已经存在的 RTC room |
| 50000 | 初始化失败，信令服务（IM Server）未连接 |
| 50001 | 参数错误 |
| 50002 | 加入相同房间错误，表示用户在客户端重复加入相同的房间 |
| 50003 | 不在房间中 |
| 50004 | 请检查是否开通音视频服务 |
| 50006 | RTC token为空，请查看是否还在房间内或者房间是否销毁 |
| 50007 | SDK 内部状态错误 |
| 50008 | 观众加聊天室成功，kv 回调超时(30s) |
| 50009 | 观众加聊天室调用 api 失败 |
| 50010 | HTTP 请求超时 |
| 50011 | HTTP 错误（含 500，404，405 等错误） |
| 50020 | 发布重复资源 |
| 50021 | 设置本地 SDP 错误 |
| 50022 | 设置远端 SDP 错误 |
| 50023 | 发布的流的个数已经到达上限 |
| 50024 | 取消发布不存在的资源 |
| 50025 | 创建本地 Offer 失败 |
| 50026 | 创建本地 Answer 失败 |
| 50030 | 订阅不存在的音视频资源 |
| 50031 | 资源重复订阅 |
| 50032 | 取消订阅不存在的音视频资源 |
| 50065 | RTCConnection 为空 |
| 50069 | 解析 Json 串出错 |
| 50074 | 未加入主房间 |
| 50075 | 操作的副房间号码和主房间号码一致错误 |
| 50076 | 取消的跨房间连麦请求不存在 |
| 50077 | 响应的跨房间连麦请求不存在 |
| 50079 | 发布时mediaServer返回的mcu流为空 |
| 50080 | cdn 地址配置数量到达上限（最大为10个） |
| 50081 | 帧时间戳非法 |
| 50082 | 解码视频帧失败 |
| 50090 | 音效文件数量已经到达最大数量 |
| 50091 | 处理非法的 soundId，如停止播放没有播放过的音效文件 id，此音效 ID 没有预设或者播放过|
| 50100 | 自动重连异常 |
| 50101 | 观众加聊天室成功，pullData KV 没有值 |
| 51202 | 订阅流时，cdn流订阅失败 |
| 52000 | 音频设备启动失败 |
| 54001 | 没有集成player SDK |
| 54002 | CDN内部错误 |
| 54008 | 数据连接中断 或 音视频源格式不支持 |
| 54009 | 订阅 CDN 流时，初始化 player 模块异常 |
| 55001 | 切换的角色和当前角色相同错误 |
| 56002 | RTC 网络探测未开始 |
| 56003 | RTC 网络探测被内部强制停止 |
| 56004 | 与 media server ICE 断开 |
| 56005 | 加房间操作打断探测 |
| 56006 | SEI 数据长度超出限制 4096 个字节 |
| 56007 | SEI 通道未建立,请检查是否开启 SEI,或者发布音视频 |
| 56008 | SEI 发送失败 |
| 56009 | SEI 频率超出限制, 1秒内不超过 30 次 |
